System.Data 2.0.0.0 System.MarshalByRefObject System.Data.IDataParameterCollection To be added.

The base class for a collection of parameters relevant to a .

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Int32 `` To be added.

  Adds the specified object to the .

  The index of the object in the collection.

  The of the to add to the collection. 2.0.0.0
- Method
  System.Void `` To be added.

  Adds an array of items with the specified values to the .

  An array of values of type to add to the collection. 2.0.0.0
- Method
  System.Void To be added.

  Removes all values from the .

  2.0.0.0
- Method
  System.Boolean `` To be added.

  Indicates whether a with the specified is contained in the collection.

  true if the is in the collection; otherwise false.

  The of the to look for in the collection. 2.0.0.0
- Method
  System.Boolean `` To be added.

  Indicates whether a with the specified name exists in the collection.

  true if the is in the collection; otherwise false.

  The name of the to look for in the collection. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Copies an array of items to the collection starting at the specified index.

  The array of items to copy to the collection. The index in the collection to copy the items. 2.0.0.0
- Property
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.Int32 To be added. To be added.

  Specifies the number of items in the collection.

  2.0.0.0
- Method
  System.Collections.IEnumerator To be added.

  Exposes the method, which supports a simple iteration over a collection by a .NET Framework data provider.

  An that can be used to iterate through the collection.

  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  System.Data.Common.DbParameter `` To be added.

  Returns the object at the specified index in the collection.

  The object at the specified index in the collection.

  The index of the in the collection. 2.0.0.0
- Method
  System.Data.Common.DbParameter `` To be added.

  Returns the object with the specified name.

  The the object with the specified name.

  The name of the in the collection. 2.0.0.0
- Method
  System.Int32 `` To be added.

  Returns the index of the specified object.

  The index of the specified object.

  The object in the collection. 2.0.0.0
- Method
  System.Int32 `` To be added.

  Returns the index of the object with the specified name.

  The index of the object with the specified name.

  The name of the object in the collection. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Inserts the specified index of the object with the specified name into the collection at the specified index.

  The index at which to insert the object. The object to insert into the collection. 2.0.0.0
- Property
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.Boolean To be added. To be added.

  Specifies whether the collection is a fixed size.

  2.0.0.0
- Property
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.Boolean To be added. To be added.

  Specifies whether the collection is read-only.

  2.0.0.0
- Property
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.Boolean To be added. To be added.

  Specifies whether the collection is synchronized.

  2.0.0.0
- Property
  System.Data.Common.DbParameter `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Data.Common.DbParameter `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the specified object from the collection.

  The object to remove. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the object at the specified from the collection.

  The index where the object is located. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the object with the specified name from the collection.

  The name of the object to remove. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Sets the object at the specified index to a new value.

  The index where the object is located. The new value. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Sets the object with the specified name to a new value.

  The name of the object in the collection. The new value. 2.0.0.0
- Property
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.Object To be added. To be added.

  Specifies the to be used to synchronize access to the collection.

  2.0.0.0
- Property
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.